=== debian/changelog ===
cxref (1.4-1) unstable; urgency=low

  * Modified latex.c to put table of contents at beginning.
  * Set INSTDIR to 4622(DESTDIR)/usr in Makefile.config
  * Set INSTDIR to /usr in Makefile.config
  * Appended || defined(linux) to line 324 of cccp.c
  * Applied 1.4->1.4a patch script
  * Modified 1.4->1.4a patch script by changing patch -p to patch -p1
  * Initial Release.

 -- Camm Maguire <camm@enhanced.com>  Tue,  9 Dec 1997 19:41:02 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address: "camm@enhanced.com"
End:
