## cxref 1.6c

=== debian/changelog ===
cxref (1.6c-2) unstable; urgency=low

  * Bug fix: "Opening .c files results in autoload-related error message",
    thanks to Hilko Bengen (Closes: #586219).

 -- Camm Maguire <camm@debian.org>  Thu, 17 Jun 2010 22:23:27 +0000

cxref (1.6c-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Mon, 07 Jun 2010 20:44:58 +0000

cxref (1.6b-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "[INTL:ja] please add Japanese po-debconf template
    translation (ja.po)", thanks to Hideki Yamane \(Debian-JP\) (Closes:
    #557629).
  * Bug fix: "Use autoload, not load", thanks to Trent W\. Buck (Closes:
    #446138).
  * Bug fix: "cxref-cpp-configure output differs by locale", thanks to Lee
    Ayres (Closes: #540908).
  * Bug fix: "FTBFS: Nonexistent build-dependency: tetex-base", thanks to
    Lucas Nussbaum (Closes: #562303).

 -- Camm Maguire <camm@debian.org>  Thu, 07 Jan 2010 16:58:00 +0000

cxref (1.6a-1.2) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Galician. Closes: #412871
    - Finnish. Closes: #478568
  * [Lintian] Fix doc-base section to "Programming" in doc-base files
  * [Lintian] Remove non-doc files from listed files in doc-base files
  * [Lintian] Remove extra spaces at the end of cxref.doc-base
  * [Lintian] Add real copyright information to debian/copyright
  * [Lintian] cxref-emacs depend on emacs22 and no longer emacs21
  * [Lintian) No longer ignore errors by "make distclean"

 -- Christian Perrier <bubulle@debian.org>  Fri, 18 Apr 2008 08:47:53 +0200

cxref (1.6a-1.1) unstable; urgency=low

  * Non-maintainer upload (originally meant) to fix longstanding l10n issues
  * Fix FTBFS on Hurd. Thanks to Arnaud Fontaine for the patch
    Closes: #355891
  * Add a build dependency on po-debconf, as it is used in the clean target
  * Debconf translation updates:
    - Swedish added. Closes: #333274
    - Dutch added. Closes: #369001
    - Spanish added. Closes: #334562
    - Vietnamese updated added. Sent during the NMU campaign.
    - Brazilian Portugese added. Sent during the NMU campaign.
    - Russian added. Sent during the NMU campaign.
    - German added. Sent during the NMU campaign.
    - Romanian added. Sent during the NMU campaign.
    - Portuguese added. Sent during the NMU campaign.

 -- Christian Perrier <bubulle@debian.org>  Sat, 28 Oct 2006 18:41:00 +0200

cxref (1.6a-1) unstable; urgency=low

  * New upstream release
  * updated watch file
  * debconf translations added, Closes: #313379.  Closes: #301475.
  * Newer standards

 -- Camm Maguire <camm@enhanced.com>  Fri,  7 Oct 2005 13:47:30 +0000

cxref (1.6-8) unstable; urgency=low

  * Bug fix: ": French debconf templates translation", thanks to
    Christophe Masson (Closes: #300604).  French translations added. 

 -- Camm Maguire <camm@enhanced.com>  Tue, 22 Mar 2005 15:26:35 +0000

cxref (1.6-7) unstable; urgency=high

  * Bug fix: "cxref-doc: error in doc-base file&lt;2&gt;", thanks to Neil
    Woods (Closes: #296688).  Fix doc-base file as suggested.

 -- Camm Maguire <camm@enhanced.com>  Thu, 24 Feb 2005 02:41:01 +0000

cxref (1.6-6) unstable; urgency=high

  * Bug fix: "cxref: broken cxref-cpp wrapper", thanks to Arnaud Giersch
    (Closes: #291314). Apply cxref-cpp.wrap patch.
  * Bug fix: "cxref-doc: error in doc-base file", thanks to Laurent
    Bonnaud (Closes: #285676). flatten cxref-doc/examples/example path
  * Bug fix: "dangling symlink due to splitting of cxref-doc", thanks to
    Ian Zimmerman (Closes: #286410).  Move upper level doc/* files into
    cxref-doc.docs, doc/example/* files into cxref-doc.examples, and only
    TODO and contrib/*el into cxref.docs
  * Bug fix: "cxref: Please switch to gettext-based debconf templates",
    thanks to Martin Quinson (Closes: #283635). Apply 110n patch.
  * Bug fix: "cxref: inappropriate use of debconf", thanks to Steve
    Greenland (Closes: #281991).  Reduce AUTOCONF question priority to
    low.  The AUTOCONF debconf variable is in my mind a warranted use of
    debconf, as setting it implies automatic overwriting of a
    configuration file on dpkg-reconfigure.  In this manner, it is quite
    similar to the xfree use of debconf, where the user is asked if they
    desire manual or automatic configuration file generation.

 -- Camm Maguire <camm@enhanced.com>  Tue, 22 Feb 2005 21:56:10 +0000

cxref (1.6-5) unstable; urgency=high

  * debconf support for automatic cxref-cpp-configure handling, Closes:
    #280927.

 -- Camm Maguire <camm@enhanced.com>  Mon, 15 Nov 2004 19:03:11 +0000

cxref (1.6-4) unstable; urgency=high

  * Apply gcc 3.4 'concat' patch, Closes: #280260

 -- Camm Maguire <camm@enhanced.com>  Mon,  8 Nov 2004 15:19:25 +0000

cxref (1.6-3) unstable; urgency=high

  * Put in missing prototypes in cpp/cccp.c for malloc like functions to
    fix build on amd64 and ia64, where the default return type of int has
    a different size than that of void *.  No gcc warnings as functions
    always invoked with an explicit cast in the code.  Lucked out on alpha
    -- apparently the address ranges allocated happen to fit in 32 bits.
    Closes: #278941.

 -- Camm Maguire <camm@enhanced.com>  Mon,  1 Nov 2004 16:07:54 +0000

cxref (1.6-1) unstable; urgency=high

  * New upstream release
  * Remove extra doc/ directory from examples paths.
  * Upstream cpp now based on gcc/cpp 2.95.  Closes: #250926.
  * _MPIS_SZPTR now defined in /usr/share/cxref/cxref-cpp.defines

 -- Camm Maguire <camm@enhanced.com>  Fri, 29 Oct 2004 15:08:01 +0000

cxref (1.5f-4) unstable; urgency=low

  * Bug fix: "does not search GCC-specific header directory", thanks to
    Matt Kraai (Closes: #260960).  Rebuild against gcc 3.3.4.

 -- Camm Maguire <camm@enhanced.com>  Fri, 23 Jul 2004 19:32:09 +0000

cxref (1.5f-3) unstable; urgency=low

  * Bug fix: "cxref_1.5f-2(mips/unstable): FTBFS: libc6-dev requires gcc's

