=== debian/control ===
Source: cxref
Section: devel
Priority: optional
Maintainer: Camm Maguire <camm@debian.org>
Build-Depends: bison (>= 1:1.28-5),debhelper (>= 5 ),flex (>= 2.5.4a-6), linuxdoc-tools, texlive-base-bin, texlive-latex-recommended, debconf, po-debconf
Standards-Version: 3.8.4

Package: cxref
Section: devel
Architecture: any
Depends: ${shlibs:Depends},${misc:Depends},gcc
Suggests: www-browser,texlive-binaries,cxref-doc
Description: Generates LaTeX and HTML documentation for C programs
 A program that takes as input a series of C source files
 and produces a LaTeX or HTML document containing a cross
 reference of the files/functions/variables in the program,
 including documentation taken from suitably formatted
 source code comments.
 The documentation is stored in the C source file in
 specially formatted comments, making it simple to maintain.
 The cross referencing includes lists of functions called,
 callers of each function, usage of global variables, header
 file inclusion, macro definitions and type definitions.
 Works for ANSI C, including many gcc extensions.

Package: cxref-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: www-browser,texlive-binaries
Description: Generates LaTeX and HTML documentation for C programs
 This package provides sample documentation produced by cxref from
 some of the cxref source itself.

Package: cxref-emacs
Section: editors
Architecture: all
Depends: emacs23 | emacsen, emacsen-common (>= 1.4.14),${misc:Depends}
Description: Generates LaTeX and HTML documentation for C programs
 This package provides an emacs mode facilitating the use of cxref,
 and enabling the display of a hierarchical flow graph of cxref
 commented source files.
