=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=2
opts=pasv http://www.gedanken.demon.co.uk/cxref/ .*cxref-([A-Za-z0-9\.]*)\.tgz	debian	uupdate
