## cxref 1.6d

=== debian/changelog ===
cxref (1.6d-6) unstable; urgency=high

  * mode 644 for ucf newfile

 -- Camm Maguire <camm@debian.org>  Wed, 03 Oct 2012 20:39:54 +0000

cxref (1.6d-5) unstable; urgency=high

  * Bug fix: "modifies conffiles (policy 10.7.3): /etc/cxref/config",
    thanks to Andreas Beckmann (Closes: #688562).

 -- Camm Maguire <camm@debian.org>  Wed, 03 Oct 2012 18:05:12 +0000

cxref (1.6d-4) unstable; urgency=high

  * Bug fix: "modifies conffiles (policy 10.7.3): /etc/cxref/config",
    thanks to Andreas Beckmann (Closes: #688562).  Provide default
    cxref-cpp.defines

 -- Camm Maguire <camm@debian.org>  Tue, 02 Oct 2012 16:00:05 +0000

cxref (1.6d-3) unstable; urgency=high

  * Bug fix: "modifies conffiles (policy 10.7.3): /etc/cxref/config",
    thanks to Andreas Beckmann (Closes: #688562).

 -- Camm Maguire <camm@debian.org>  Mon, 01 Oct 2012 17:11:17 +0000

cxref (1.6d-2) unstable; urgency=low

  * Bug fix: "help mode access to source code", thanks to Kevin Ryde
    (Closes: #671581). Symlink elisp source files

 -- Camm Maguire <camm@debian.org>  Sat, 05 May 2012 17:14:47 +0000

cxref (1.6d-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "it] Italian translation of debconf templates", thanks to
    Francesca Ciceri (Closes: #656256).
  * Bug fix: "CPPFLAGS hardening flags missing", thanks to Simon Ruderich
    (Closes: #665202).  Applied CPPFLAGS hardening patch

 -- Camm Maguire <camm@debian.org>  Sat, 07 Apr 2012 12:27:23 +0000

cxref (1.6c-3) unstable; urgency=low

  * Bug fix: "[INTL:da] Danish translation of the debconf templates
    cxref", thanks to Joe Dalton (Closes: #599435).
  * Bug fix: "Please add suport for build-arch and build-indep targets
    plus enable hardening flags", thanks to Niels Thykier (Closes:
    #648879).

 -- Camm Maguire <camm@debian.org>  Thu, 12 Jan 2012 22:04:09 +0000
