=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: devel
 Priority: optional
 Maintainer: Camm Maguire <camm@debian.org>
-Build-Depends: bison (>= 1:1.28-5),debhelper (>= 5 ),flex (>= 2.5.4a-6), linuxdoc-tools, texlive-base-bin, texlive-latex-recommended, debconf, po-debconf
-Standards-Version: 3.8.4
+Build-Depends: bison (>= 1:1.28-5),debhelper (>= 5 ),flex (>= 2.5.4a-6), linuxdoc-tools, texlive-base-bin, texlive-latex-recommended, debconf, po-debconf, dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.3
 
 Package: cxref
 Section: devel
 Architecture: any
-Depends: ${shlibs:Depends},${misc:Depends},gcc
+Depends: ${shlibs:Depends},${misc:Depends},gcc,ucf
 Suggests: www-browser,texlive-binaries,cxref-doc
 Description: Generates LaTeX and HTML documentation for C programs
  A program that takes as input a series of C source files
