=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,17 @@
 
 #export DH_COMPAT=3
 
-build: build-stamp
+DPKG_EXPORT_BUILDFLAGS=1
+
+include /usr/share/dpkg/buildflags.mk
+
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 
-	CFLAGS="-O2 -fomit-frame-pointer" \
-		./configure --prefix=/usr --mandir=/usr/share/man --enable-us-paper \
+	./configure --prefix=/usr --mandir=/usr/share/man --enable-us-paper \
 		--datadir=/etc
 	$(MAKE) 
 
@@ -57,8 +62,9 @@
 	cp debian/cxref-cpp.wrap debian/tmp/usr/bin/cxref-cpp
 	chmod +x debian/tmp/usr/bin/cxref-cpp
 
-	cp debian/config debian/tmp/etc/cxref
-	chmod 644 debian/tmp/etc/cxref/config
+#	mkdir -p debian/tmp/etc/cxref
+#	cp debian/config debian/tmp/etc/cxref
+#	chmod 644 debian/tmp/etc/cxref/config
 
 	dh_install
 
@@ -109,4 +115,5 @@
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary
+.PHONY: build build-arch build-indep clean binary-indep binary-arch binary
+
