## cxref 1.6e

=== debian/changelog ===
cxref (1.6e-9) unstable; urgency=medium

  * replace supplement files wit explicit work arounds for known header
    file issues in cpp/cxref-cpp-configure.in

 -- Camm Maguire <camm@debian.org>  Tue, 07 May 2024 09:17:35 -0400

cxref (1.6e-8) unstable; urgency=medium

  * correct supplement defines files naming

 -- Camm Maguire <camm@debian.org>  Tue, 07 May 2024 06:46:23 -0400

cxref (1.6e-7) unstable; urgency=medium

  * amd64, i386,ppc64el,hurd-i386,hurd-amd64
    cxref-cpp-supplemental.defines files

 -- Camm Maguire <camm@debian.org>  Mon, 06 May 2024 20:43:14 -0400

cxref (1.6e-6) unstable; urgency=medium

  * Bug fix: "arm64 FTBFS with glibc 2.38", thanks to Graham Inggs
    (Closes: #1070444).
  * Bug fix: "no output -- tmpfile is depreced", thanks to Martin Kovarik
    (Closes: #979632).

 -- Camm Maguire <camm@debian.org>  Mon, 06 May 2024 12:49:07 -0400

cxref (1.6e-5) unstable; urgency=medium

  * Bug fix: "please make the build reproducible - non-reproducible
    timestamp in build log", thanks to Philip Rinn (Closes: #1014877).
    rm cxref.log from cxref-doc package.
  * Bug fix: "please rebuild with dh_elpa 2.x", thanks to David Bremner
    (Closes: #973966).  Remove build-dep on dh-elpa for now.
  * Bug fix: "cxref FTCBFS: uses AC_TRY_COMPILE", thanks to Helmut Grohne
    (Closes: #962163).  Apply AC_TRY_COMPILE patch
  * tempfile -> mktemp in cxref-cpp-wrap
 
 -- Camm Maguire <camm@debian.org>  Fri, 15 Jul 2022 10:34:54 -0400

cxref (1.6e-4) unstable; urgency=medium

  * Acknowledge NMU with modifications, thanks Philip Rinn
    <rinni@inventati.org>!
  * export GREP and EGREP before configure in rules
  * export FORCE_SOURCE_DATE=1 in rules for texlive reproducibility
  * export LC_ALL=C.UTF-8 in rules for locale reproducibility
  * Remove build path from documentation in rules
  * Build-dep debhelper-compat (= 13)
  * watch version 4
  * utf-8 for cs.po, fr.po, and sv.po
  * /usr/share/doc/cxref/ in cxref-doc.doc-base

 -- Camm Maguire <camm@debian.org>  Tue, 12 Jul 2022 13:03:49 -0400

cxref (1.6e-3.2) unstable; urgency=medium

  * Non-maintainer upload by the Reproducible Builds team.
  * Fix reproducibility issues (Closes: #995886, #995896, #995953, #995954)

 -- Philip Rinn <rinni@inventati.org>  Mon, 04 Jul 2022 18:08:52 +0200

cxref (1.6e-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 17:31:29 +0100

cxref (1.6e-3) unstable; urgency=high

  * Bug fix: "cxref FTBFS on amd64/i386 with glibc 2.26", thanks to Adrian
    Bunk (Closes: #887866). Added defined to doc/Makefile.in, no doubt a
    better way.
  * Added homepage entry to control
  * Bug fix: "please add Homepage field", thanks to Juhani Numminen
    (Closes: #888483).
  * Bug fix: "Duplicate and conflicting definition of function
    check_assertion", thanks to Michael Tautschnig (Closes: #748116).
    Fixed in 1.6e upstream.
  * Bug fix: "maintainer script(s) do not start on #!", thanks to
    treinen@debian.org</a>; (Closes: #843271).
  * Bug fix: "maintainer script(s) not using strict mode", thanks to
    treinen@debian.org</a>; (Closes: #866264).
  * compat level 9
  * dh_prep
  * c warning cleanups

 -- Camm Maguire <camm@debian.org>  Tue, 30 Jan 2018 16:50:37 +0000

cxref (1.6e-2) unstable; urgency=high

  * Bug fix: "cxref complains about a locally modified config file on a
    fresh installation", thanks to Uwe Storbeck (Closes: #795098).
  * added emacs add-on compat file to cxref-emacs
  * latest standards

 -- Camm Maguire <camm@debian.org>  Sat, 05 Sep 2015 13:21:22 +0000

cxref (1.6e-1) unstable; urgency=high

  * New upstream release
  * Bug fix: "please switch to emacs24", thanks to Gabriele Giacone
    (Closes: #753998).
  * Bug fix: "cxref dumps core with function def with function pointer",
    thanks to John Vogel (Closes: #667443).  Applied FAQ patch.
  * updated watch file
  * Bug fix: "[Mayhem] Bug report on cxref: cxref crashes with exit status
    139", thanks to Alexandre Rebert (Closes: #715771).

 -- Camm Maguire <camm@debian.org>  Tue, 09 Sep 2014 14:14:05 -0400
