=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,23 @@
 
 #export DH_COMPAT=3
 
+include /usr/share/dpkg/pkg-info.mk
+export DEB_VERSION_UPSTREAM
+export DEB_UPSTREAM_VERSION
+
+VERS:=$(shell cat debian/changelog |grep ^cxref|head -n 1|cut -f2 -d\ |tr -d '()[a-z]')
+
 DPKG_EXPORT_BUILDFLAGS=1
 
+# Ensure texlive respects SOURCE_DATE_EPOCH
+export FORCE_SOURCE_DATE=1
+
+# Force locale to avoid differences when building with obscure locales
+export LC_ALL=C.UTF-8
+
 include /usr/share/dpkg/buildflags.mk
+
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 build: build-arch build-indep
 build-arch: build-stamp
@@ -18,6 +32,8 @@
 build-stamp:
 	dh_testdir
 
+#	For (non-)usrmerge build reproducibility
+	GREP="/bin/grep" EGREP="$GREP -E" \
 	./configure --prefix=/usr --mandir=/usr/share/man --enable-us-paper \
 		--datadir=/etc
 	$(MAKE) 
@@ -36,7 +52,7 @@
 	cxref.function cxref.include cxref.apdx.html cxref.apdx.tex cxref.typedef cxref.variable \
 	cxref.aux cxref.dvi cxref.log cxref.toc cxref.html cxref.sty cxref.tex fonts.sty page.sty \
         README_c.tex config.log
-	rm -f src/README.man doc/README.dvi
+	rm -f src/README.man doc/README.dvi doc/FAQ.html
 	rm -f cpp/foo.c doc/README.c.html doc/README.c.rtf doc/README.c.sgml doc/README.c.src.html \
 		doc/README.ps doc/README_c.tex
 	debconf-updatepo
@@ -46,7 +62,7 @@
 install-stamp: build-stamp
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	rm -f src/README.man
@@ -55,12 +71,28 @@
 	$(MAKE) install DESTDIR=`pwd`/debian/tmp
 	$(MAKE) docs DESTDIR=`pwd`/debian/tmp
 
+#	Remove log file (contains non-reproducible timestamp) 
+	rm -f doc/example/cxref.log
+
+# 	Remove build path from documentation
+	find doc/ -type f -exec sed -i -e "s,$(CURDIR),BUILDPATH,g" '{}' \;
+
+	mkdir -p debian/tmp/usr/share/cxref
+	mv debian/tmp/etc/cxref/cxref-cpp.defines debian/tmp/usr/share/cxref
+
 	mkdir -p debian/tmp/usr/share/emacs/site-lisp/cxref
 	cp contrib/*.el debian/tmp/usr/share/emacs/site-lisp/cxref
 
 	mv debian/tmp/usr/bin/cxref-cpp debian/tmp/usr/bin/cxref-cpp.upstream
 	cp debian/cxref-cpp.wrap debian/tmp/usr/bin/cxref-cpp
 	chmod +x debian/tmp/usr/bin/cxref-cpp
+
+	mkdir -p debian/tmp/usr/lib/emacsen-common/packages/compat
+	echo 0 >debian/tmp/usr/lib/emacsen-common/packages/compat/cxref-emacs
+
+#	cat debian/cxref-emacs-pkg.el.in |
+#		sed "s,@VERS@,$(VERS),1" >
+#		debian/tmp/usr/share/emacs/site-lisp/cxref/cxref-emacs-pkg.el
 
 #	mkdir -p debian/tmp/etc/cxref
 #	cp debian/config debian/tmp/etc/cxref
@@ -78,6 +110,7 @@
 	dh_installexamples -i -Xdoc/COPYING
 	dh_installmenu -i
 	dh_installemacsen -i
+#	dh_elpa -i -v
 	dh_installcron -i
 	dh_installchangelogs ./ChangeLog -i
 	dh_strip -i
@@ -97,6 +130,7 @@
 	dh_installexamples -a
 	dh_installmenu -a
 	dh_installemacsen -a
+#	dh_elpa -a
 	dh_installcron -a
 	dh_installman -p cxref debian/cxref-cc.1
 	dh_installchangelogs ./ChangeLog -a
